Subject: Re: [PATCH net-2.6.26] netlink: make socket filters work on netlink

From: Patrick McHardy <[email-masked]>
Date: Mon, 31 Mar 2008 22:15:59 +0200

David Miller wrote:
> From: Patrick McHardy <[email-masked]>
> Date: Mon, 31 Mar 2008 21:40:51 +0200
> 
>> Thanks. It seems it parses only top-level attributes, which
>> is probably why you didn't need the nlattr_find command I
>> used in my patch. The problem with this is that finding and
>> parsing nested attributes using the existing BPF commands is
>> complicated since you need to fully parse netlink headers
>> and walk through them. You can't even reuse that part for
>> multiple nested attributes since you can't jump backwards.
>> So I think it would be preferrable to have a simpler method
>> for this.
> 
> Agreed.

I'll cook something up based on my and Stephen's patches.